
import scg.*;


public class Test {
	public static void main(String[] args) {
		try {
			Instance instance = Instance.parse("csp.CSPInstance {{ x1 x2 x3 (12 {1} x1 x2 x3)}}");
			instance.finishParse();
			System.out.println(instance);
			
			Solution solution = Solution.parse("csp.CSPSolution {{ [(x1->true) (x2->true) (x3->true)] }}");
			solution.finishParse();
			System.out.println(solution);

			Claim claim = Claim.parse("csp.CSPInstanceSet {{(20 21 22)}} protocol.ForAllExists 0.6");
			claim.finishParse();
			System.out.println(claim);
			
		} catch (Exception e) {
			e.printStackTrace();
		} 
	}
}
